/* primax_scan -- linux driver for Primax scanners

   $Id: lp.h,v 1.8 2002/11/07 11:45:40 onjo Exp $

   Authors:
   Marco Foglia <Marco.Foglia@switzerland.org>
   Thomas Schano <schano@t-online.de>
   Christian Ordig <chr.ordig@gmx.net>

   Copyright (C) 1999 Marco Foglia, Thomas Schano, Christian Ordig

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  
*/

inline int epp_set_mode(unsigned char mode);
inline int clear_timeout(void);
inline void init_timer(long long *timer, unsigned long us);
inline int check_timer(long long *timer);
inline void scan_delay(unsigned long us_delay);

/* return values of epp_on() */
enum epp_on_retval {
  EPP_ON_OK            =  0,
  EPP_ON_NO_EPP_MODE   = -1,
  EPP_ON_NO_PERMISSION = -2,
  EPP_ON_NO_PARPORT    = -3
};	
enum epp_on_retval epp_on(void);
void epp_off(void);
int  epp_read(unsigned char *data, int num, unsigned char mode);
int  epp_write(const unsigned char *data, int num, unsigned char mode);
int  epp_read_one(unsigned char *data, unsigned char mode);
int  epp_write_one(unsigned char data, unsigned char mode);




